<?php
#-----------------------------------------------------#
# Зц Sea mod Ganjara                                  #
# 	 Автор : Slayer  with   Ganjar                    #
#    ICQ :   566003         993770                    #
#    Вы не имеете права распространять данный скрипт. #
# 		По всем вопросам пишите в ICQ.                  #
#-----------------------------------------------------#

define('_IN_JOHNCMS', 1);
$zc=1;
$headmod = 'guest';
$textl = 'Загрузки';
require_once ("../incfiles/core.php");
require_once ("../incfiles/head.php");
$time = time();
$setting = mysql_query('SELECT * FROM `zc_setting`;');

while($set = mysql_fetch_assoc($setting)){
$setup[$set['name']] = $set['value'];
}

$hackmess = $setup['hackmess'];

require 'moduls/ini.php';
require 'moduls/fun.php';
//------------------------------------------------------------------------------------------
###################################################
$error = 0;
if($rights < "4") $error = 1;


if($error==1) die($setup['hackmess']);
//------------------------------------------------------------------------------------------
$id = intval($_GET['id']);
if($_GET['faq']!=1){
$page = intval($_GET['page']);
$start = intval($_GET['start']);

$onpage = get2ses('onpage');
$sort = get2ses('sort');

is_num($onpage,'onpage');





//------------------------------------------------------------------------------------------
if(!$id){
$d['path'] = $setup['path'].'/';
}
else{
$d = mysql_fetch_array(mysql_query('SELECT `path` FROM `'.$setup['pref'].'files` WHERE `id` = '.$id));
}

if(!is_dir ($d['path'])) die('Такой категории не существует!');
//------------------------------------------------------------------------------------------

$all = mysql_fetch_array(mysql_query("SELECT COUNT(*) FROM `".$setup['pref']."files` WHERE `infolder` = '".$d['path']."'"));
$all = $all[0];
if($all==0 AND empty($id)) {header('Location: apanel_scan2.php'); die();}
$pages = ceil($all/$onpage);
if(!$pages) $pages = 1;
if($page>$pages or $page<=0) $page=1;
if($start>$all or $start<=0) $start = 0;
if($page) $start = ($page - 1) * $onpage; else $start = 0;
//------------------------------------------------------------------------------------------
$valid_sort = array('name' => '','data' => '','load' => '','size' => '','eval' =>'');
if(!isset($valid_sort[$sort]) ) die($hackmess);
if($sort == 'name') $MODE = '`priority` DESC,`name` ASC';
if($sort == 'data') $MODE = '`priority` DESC,`timeupload` DESC';
if($sort == 'size') $MODE = '`priority` DESC,`size` ASC';
if($sort == 'load') $MODE = '`priority` DESC,`loads` DESC';
if($sort == 'eval' and $setup['eval_change']==1) $MODE = '`priority` DESC,`yes` DESC ,`no` ASC';
//------------------------------------------------------------------------------------------
$query = mysql_query('SELECT `id` FROM `'.$setup['pref'].'files` WHERE `infolder` = "'.$d['path'].'" ORDER BY '.$MODE.' LIMIT '.$start.', '.$onpage);
while($list_sw = mysql_fetch_array($query)) $array_id[] = $list_sw['id'];
//------------------------------------------------------------------------------------------
$ex=explode('/',$d['path']);
foreach($ex as $k=>$v)
{
if ($v[0]!='.' AND $v AND $v!=$setup['path'])
{
$s = mysql_fetch_array(mysql_query("SELECT `id`,`name` FROM `".$setup['pref']."files` WHERE `path` LIKE '%".clean($v)."/' AND `size` = 0"));
$s['name'] = str_replace('*','',$s['name']);
if($k >= sizeof($ex)-2) $put .= $s['name'];
else $put .= '<a href="apanel_index.php?id='.$s['id'].'">'.$s['name'].'</a>&raquo;';
}
}
echo ' <div class="phdr"><a href="apanel_index.php">Загрузки</a>&raquo;'.$put.'</div><div class="gmenu">';
//------------------------------------------------------------------------------------------
if($setup['eval_change']==1) $eval = ',<a href="apanel_index.php?sort=eval">рейтинг</a>'; else $eval='';
if($sort == 'name') $sortlink = '<a href="apanel_index.php?sort=data">дата</a>,<a href="apanel_index.php?sort=size">размер</a>,<a href="apanel_index.php?sort=load">популярность</a>'.$eval;
if($sort == 'data') $sortlink = '<a href="apanel_index.php?sort=name">имя</a>,<a href="apanel_index.php?sort=size">размер</a>,<a href="apanel_index.php?sort=load">популярность</a>'.$eval;
if($sort == 'size') $sortlink = '<a href="apanel_index.php?sort=data">дата</a>,<a href="apanel_index.php?sort=name">имя</a>,<a href="apanel_index.php?sort=load">популярность</a>'.$eval;
if($sort == 'load') $sortlink = '<a href="apanel_index.php?sort=data">дата</a>,<a href="apanel_index.php?sort=name">имя</a>,<a href="apanel_index.php?sort=size">размер</a>'.$eval;
if($sort == 'eval' and $setup['eval_change']==1) $sortlink = '<a href="apanel_index.php?sort=data">дата</a>,<a href="apanel_index.php?sort=name">имя</a>,<a href="apanel_index.php?sort=size">размер</a>,<a href="apanel_index.php?sort=load">популярность</a>';

echo 'Сортировать по:<br/>'.$sortlink.'</div><div class="phdr">[<a href="apanel.php?id='.$id.'&amp;action=newdir">Новая папка</a>][<a href="apanel.php?id='.$id.'&amp;action=newfile">+ Файл</a>]</div>';
//------------------------------------------------------------------------------------------
if(!$all){
echo '<div><strong>[Раздел пуст]</strong>';
} else echo'<div class="title_bord">';
foreach($array_id as $key => $value)
{
if(is_integer($key / 2)) $row = '<div class="list1">'; else $row = '<div class="list2">';
$file_info = mysql_fetch_array(mysql_query('SELECT * FROM `'.$setup['pref'].'files` WHERE `id` = '.$value));
if(is_dir($file_info['path']))
{
###проверка на привязаность папки к разделу
click_change();
$razd=false;
$name32=$file_info['path']; 
$name32=str_replace('files/','',$name32);
$name32=str_replace('/',';',$name32);
$name32=str_replace('_',' ',$name32);
		if (is_file('razdely/'.$name32.'.txt')) 
	{
 	$razd = file_get_contents('razdely/'.$name32.'.txt');
echo '<div class="gmenu"> '.$razd.' [<a href="razdel.php?action=2&amp;razdel='.$name32.'">ред.</a>][<a href="razdel.php?action=4&amp;razdel='.$name32.'">del.</a>]</div>';

	}
###
echo $row;
$allinfolder = mysql_fetch_array(mysql_query('SELECT COUNT(*) FROM `'.$setup['pref'].'files` WHERE `infolder` LIKE "'.$file_info['path'].'%" AND `size` > 0'));
$allinfolder = $allinfolder[0];
$file_info['name'] = str_replace('*','',$file_info['name']);
if(!file_exists($file_info['path'].'folder.png'))
{
$ico = '<img src="ext/dir.png" alt=""/>';
$addico = '[<font color="#761DE2"><a href="apanel.php?action=addico&amp;id='.$file_info['id'].'">+I</a></font>]';
}
else
{
$ico = '<img src="'.$file_info['path'].'folder.png" alt=""/>';
$addico = '[<font color="#BF00BF"><a href="apanel.php?action=reico&amp;id='.$file_info['id'].'">-I</a></font>]';
}
$updown = '[<font color="#008080"><a href="apanel.php?id='.$file_info['id'].'&amp;action=pos&amp;to=up">Up</a></font>][<font color="#008080"><a href="apanel.php?id='.$file_info['id'].'&amp;action=pos&amp;to=down">Down</a></font>]';
if($setup['delete_dir']==1) $dl = '[<font color="#B90000"><a href="apanel.php?action=redir&amp;id='.$file_info['id'].'">D</a></font>]'; else $dl = '';
echo $ico.'<strong><a href="apanel_index.php?id='.$file_info['id'].'">'.$file_info['name'].'</a></strong>('.$allinfolder.')[<font color="#0080FF"><a href="apanel.php?id='.$file_info['id'].'&amp;action=flash">F</a></font>][<font color="#008080"><a href="apanel.php?id='.$file_info['id'].'&amp;action=rename">R</a></font>][<font color="#000080"><a href="apanel.php?id='.$file_info['id'].'&amp;action=fast">Fast</a></font>][<font color="#0080FF"><a href="apanel_scan2.php?id='.$file_info['id'].'">Обн.</a></font>]'.$dl.$addico.$updown;
if(!$razd) echo '[<font color="#761DE2"><a href="razdel.php?action=1&amp;razdel='.$name32.'">+разд.</a></font>]';
if(!empty($file_info['fastabout'])) echo '<br/>'.str_replace("\n", '<br/>',$file_info['fastabout']);
echo '</div>';
}
elseif(is_file($file_info['path']))
{
$ex = pathinfo($file_info['path']);
$ext = strtolower($ex['extension']);
$filename = $ex['basename'];
if($file_info['size'] < 1024) $file_info['size'] = '('.$file_info['size'].'b)';
if($file_info['size'] < 1048576 and $file_info['size'] >= 1024) $file_info['size'] = '('.round($file_info['size']/1024, 2).'Kb)';
if($file_info['size'] > 1048576) $file_info['size'] = '('.round($file_info['size']/1024/1024, 2).'Mb)';
click_change();
if(!file_exists("ext/$ext.png")) $ico = '<img src="ext/stand.png" alt=""/>'; else $ico = '<img src="ext/'.$ext.'.png" alt=""/>';

$file_info['timeupload'] = date('d.m.Y (H:i)', $file_info['timeupload']);

if($setup['ext']==1) $extension = '('.$ext.')'; else $extension = '';

if($setup['delete_file']==1) $dl = '[<font color="#B90000"><a href="apanel.php?action=refile&amp;id='.$file_info['id'].'">D</a></font>]'; else $dl = '';

if($ext=='zip') $unzip = '[<font color="#FFFF00"><a href="apanel.php?id='.$file_info['id'].'&amp;action=unpack">U</a></font>]'; else $unzip = '';

if(!is_file($setup['spath'].'/'.$filename.'.gif')) $add_screen = '+S'; else $add_screen = '-S';
$screen = '[<font color="#FFFF00"><a href="apanel.php?id='.$file_info['id'].'&amp;action=screen">'.$add_screen.'</a></font>]';
echo $row;

echo $ico.'<strong><a href="apanel_view.php?id='.$file_info['id'].'">'.$file_info['name'].'</a></strong>'.$extension.$file_info['size'].'[<font color="#008080"><a href="apanel.php?id='.$file_info['id'].'&amp;action=rename">R</a></font>][<font color="#800080"><a href="apanel.php?id='.$file_info['id'].'&amp;action=editabout">O</a></font>][<font color="#000080"><a href="apanel.php?id='.$file_info['id'].'&amp;action=fast">Fast</a></font>]'.$unzip.$dl.$screen;
if(!empty($file_info['fastabout'])) echo '<br/>'.str_replace("\n", '<br/>',$file_info['fastabout']);
if ($sort=='data') echo '<br/>Добавлен: '.$file_info['timeupload'];
if ($sort=='load') echo '<br/>Скачано '.$file_info['loads'].' раз(а)';
if ($sort=='eval' and $setup['eval_change']==1) echo "<br/>Рейтинг(+/-): ".$file_info['yes']."/".$file_info['no']."<br/>";
echo '</div>';
}
} 

//------------------------------------------------------------------------------------------
echo '<div class="phdr">Страницы: ';
$asd= $page - 2;
$asd2= $page + 3;
if($asd<$all && $asd>0 && $page>3) echo '<a href="apanel_index.php?id='.$id.'&amp;page=1">1</a> ... ';
for($i=$asd; $i<$asd2;$i++)
{
if($i<$all && $i>0)
{
if ($i > $pages ) break;
if ($page==$i) 	echo '<strong>['.$i.']</strong> ';
else echo '<a href="apanel_index.php?id='.$id.'&amp;page='.$i.'">'.$i.'</a> ';
}
}

if ($i <= $pages)
{
if($asd2<$all) echo ' ... <a href="apanel_index.php?id='.$id.'&amp;page='.$pages.'">'.$pages.'</a>';
}
echo '<br/>';
//------------------------------------------------------------------------------------------
if ($pages>$setup['pagehand'] and $setup['pagehand_change'] == 1)
{
echo 'Страница '.$page.' из '.$pages.':<br/>
<form action="apanel_index.php?id='.$id.'" method="post"/>
<input class="enter" name="page" type="text" maxlength="4" size="8" value=""/>
<input class="buttom" type="submit" value="Перейти"/>
</form>';
}
//------------------------------------------------------------------------------------------
if($setup['onpage_change'] == 1)
{
echo 'Файлов на страницу: ';
for($i=10; $i<35; $i=$i+5)
{
if($i==$onpage) echo '<strong>['.$i.']</strong>';
else echo '[<a href="apanel_index.php?onpage='.$i.'&amp;id='.$id.'">'.$i.'</a>]';
}
echo '<br/>';
}
echo '</div>';
 echo '<div class="bmenu"><li><a href="apanel_index.php?faq=1&amp;id='.$id.'">FAQ</a></li>';
  echo '<li><a href="apanel.php?">Админка</a></li></div>';
}
else 
echo'

<div class="gmenu">Работа с директориями (папками)</div><div class="list1">
[F] - Полное обновление всего что находиться за выбраной папкой.<br/>
[R] - Переименование.<br/>
[Fast] - Описание.<br/>
[Обн.] - Обновление только того что неходится в выбраной папке,незатрагивая подразделов.<br/>
[D] - Удаление.<br/>
[+I] - Загрузка иконки к папке.<br/>
[-I] - Удаление иконки к папке.<br/>
[Up] - Поднять папку по списку на 1 вверх.<br/>
[Down] - Опустить папку по списку на 1 вниз.<br/>
[+разд.] - Добавить раздел(описание к групе директорий).<br/>
</div>
<div class="gmenu">Работа с файлами</div><div class="list1">
[R] - Переименование.<br/>
[O] - Описание,которое засывается в БД(желательно использовать [Fast]).<br/>
[Fast] - Описание,которое засывается в файл.<br/>
[D] - Удаление.<br/>
[+S] - Добавление скриншота.<br/>
[-S] - Удаление скриншота.<br/>
</div><div class="bmenu">
<li>- <a href="apanel_index.php?id='.$id.'">Назад</a></li>
';
//------------------------------------------------------------------------------------------
echo '</div>';
//------------------------------------------------------------------------------------------
require_once ("moduls/foot.php");

?>